


void setup()                          
{                
    pinMode(8, OUTPUT);               // La broche 8 de la carte Arduino est reliée au trigger du composant(enclenche les salves d'ultrasons).
    pinMode(9, INPUT);                // La broche 9 de la carte Arduino est reliée à Echo du composant (retourne la durée de l'écho).
    pinMode(2, OUTPUT);               // La broche 2 contrôle l'allumage de la LED
    Serial.begin(9600);
}

void loop()                               
{
   digitalWrite(8, HIGH);             // enclenche une salve d'ultrasons
   delayMicroseconds(10);             
   digitalWrite(8, LOW);              // arrête la salve

   unsigned long duree = pulseIn(9, HIGH);    // la variable duree recoit la valeur correspondant à la durée de l'écho exprimée en µs

  Serial.print("durée Echo : ");
  Serial.print(duree/1000.0);                 // Conversion en ms.
  Serial.println(" ms");

  if(duree<1000){
    digitalWrite(2,HIGH);
  }else{
    digitalWrite(2,LOW);
  }
  
delay(1000);                                    // pause d'une seconde     
}
